Summary:	vsftpd - Very Secure Ftp Daemon
Name:		vsftpd
Version:	2.0.3
Release:	3
License:	GPL
Group:		System Environment/Daemons
Source:		ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
Source2:	ftp.pamd
Source4:	etc-shells
Source5:	etc-ftpusers
Source6:	xinetd.d-ftp
Patch0:		vsftpd-2.0.3-vsftpd.conf-gd-1.diff
Patch1:		vsftpd-2.0.3-vsf_findlibs-64-gd-2.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/usr/sbin/useradd
Requires:	xinetd
Provides:	ftpserver

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man
Security Audit Team" Evans.

%files
  %doc INSTALL BUGS AUDIT Changelog LICENSE README
  %doc README.security REWARD SPEED TODO SECURITY/

  %dir /usr/share/empty

  %defattr(0640,root,root)
  %config(noreplace) /etc/vsftpd.conf
  %config(noreplace) /etc/vsftpd.banned_emails
  %config(noreplace) /etc/vsftpd.chroot_list
  %config /etc/pam.d/ftp
  %config /etc/xinetd.d/ftp
  %config /etc/shells
  %config /etc/ftpusers
  %attr(0700,root,root) /usr/sbin/vsftpd
  %attr(0444,root,root) %{_mandir}/man5/vsftpd.conf.5*

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5
  mkdir -p $RPM_BUILD_ROOT/usr/sbin
  mkdir -p $RPM_BUILD_ROOT/usr/share/empty
  mkdir -p $RPM_BUILD_ROOT/etc
  mkdir -p $RPM_BUILD_ROOT/etc/pam.d
  mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d


  install -m 700 vsftpd        $RPM_BUILD_ROOT/usr/sbin/vsftpd
  install -m 640 vsftpd.conf   $RPM_BUILD_ROOT/etc/vsftpd.conf
  install -m 444 vsftpd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
  install -m 640 %{SOURCE2}    $RPM_BUILD_ROOT/etc/pam.d/ftp
  install -m 640 %{SOURCE4}    $RPM_BUILD_ROOT/etc/shells
  install -m 640 %{SOURCE5}    $RPM_BUILD_ROOT/etc/ftpusers
  install -m 640 %{SOURCE6}    $RPM_BUILD_ROOT/etc/xinetd.d/ftp

  touch $RPM_BUILD_ROOT/etc/vsftpd.banned_emails
  touch $RPM_BUILD_ROOT/etc/vsftpd.chroot_list

  chown nobody.nobody $RPM_BUILD_ROOT/usr/share/empty

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
  /usr/sbin/useradd -u 49 -r -m -k /dev/null ftpsecure > /dev/null 2>&1 || true
  chown nobody.nobody ~ftpsecure
  chmod 0755 ~ftpsecure

%preun
  if [ $1 = 0 ]; then
	rmdir ~ftpsecure
	/usr/sbin/userdel ftpsecure
  fi

%changelog
* Tue Sep 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.3, Release 3
  - Look for 64bit libpam too.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.3, Release 2
  - Look for libs in lib64.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
